Package org.apache.xmlbeans

## Class XmlBase64Binary.Factory

- java.lang.Object
- - org.apache.xmlbeans.XmlBase64Binary.Factory

- Enclosing interface:
    XmlBase64Binary

      public static final class XmlBase64Binary.Factory
      extends Object

  A class with methods for creating instances of `XmlBase64Binary`.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static XmlBase64Binary` | `newInstance()` | Creates an empty instance of `XmlBase64Binary`
    `static XmlBase64Binary` | `newInstance​(XmlOptions options)` | Creates an empty instance of `XmlBase64Binary`
    `static XmlBase64Binary` | `newValue​(Object obj)` | Creates an immutable `XmlBase64Binary` value
    `static XmlBase64Binary` | `parse​(File f)` | Parses a `XmlBase64Binary` fragment from a File.
    `static XmlBase64Binary` | `parse​(File f, XmlOptions options)` | Parses a `XmlBase64Binary` fragment from a File.
    `static XmlBase64Binary` | `parse​(InputStream is)` | Parses a `XmlBase64Binary` fragment from an InputStream.
    `static XmlBase64Binary` | `parse​(InputStream is, XmlOptions options)` | Parses a `XmlBase64Binary` fragment from an InputStream.
    `static XmlBase64Binary` | `parse​(Reader r)` | Parses a `XmlBase64Binary` fragment from a Reader.
    `static XmlBase64Binary` | `parse​(Reader r, XmlOptions options)` | Parses a `XmlBase64Binary` fragment from a Reader.
    `static XmlBase64Binary` | `parse​(String s)` | Parses a `XmlBase64Binary` fragment from a String.
    `static XmlBase64Binary` | `parse​(String s, XmlOptions options)` | Parses a `XmlBase64Binary` fragment from a String.
    `static XmlBase64Binary` | `parse​(URL u)` | Parses a `XmlBase64Binary` fragment from a URL.
    `static XmlBase64Binary` | `parse​(URL u, XmlOptions options)` | Parses a `XmlBase64Binary` fragment from a URL.
    `static XmlBase64Binary` | `parse​(XMLStreamReader xsr)` | Parses a `XmlBase64Binary` fragment from an XMLStreamReader.
    `static XmlBase64Binary` | `parse​(XMLStreamReader xsr, XmlOptions options)` | Parses a `XmlBase64Binary` fragment from an XMLStreamReader.
    `static XmlBase64Binary` | `parse​(Node node)` | Parses a `XmlBase64Binary` fragment from a DOM Node.
    `static XmlBase64Binary` | `parse​(Node node, XmlOptions options)` | Parses a `XmlBase64Binary` fragment from a DOM Node.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newInstance

          public static XmlBase64Binary newInstance()

      Creates an empty instance of `XmlBase64Binary`

    - #### newInstance

          public static XmlBase64Binary newInstance​(XmlOptions options)

      Creates an empty instance of `XmlBase64Binary`

    - #### newValue

          public static XmlBase64Binary newValue​(Object obj)

      Creates an immutable `XmlBase64Binary` value

    - #### parse

          public static XmlBase64Binary parse​(String s)
                                       throws XmlException

      Parses a `XmlBase64Binary` fragment from a String. For example: "`&lt;xml-fragment&gt;VGhpcyBzdHJp&lt;/xml-fragment&gt;`".
      Throws:
        `XmlException`

    - #### parse

          public static XmlBase64Binary parse​(String s,
                                              XmlOptions options)
                                       throws XmlException

      Parses a `XmlBase64Binary` fragment from a String. For example: "`&lt;xml-fragment&gt;VGhpcyBzdHJp&lt;/xml-fragment&gt;`".
      Throws:
        `XmlException`

    - #### parse

          public static XmlBase64Binary parse​(File f)
                                       throws XmlException,
                                              IOException

      Parses a `XmlBase64Binary` fragment from a File.
      Throws:
        `XmlException`
        `IOException`

    - #### parse

          public static XmlBase64Binary parse​(File f,
                                              XmlOptions options)
                                       throws XmlException,
                                              IOException

      Parses a `XmlBase64Binary` fragment from a File.
      Throws:
        `XmlException`
        `IOException`

    - #### parse

          public static XmlBase64Binary parse​(URL u)
                                       throws XmlException,
                                              IOException

      Parses a `XmlBase64Binary` fragment from a URL.
      Throws:
        `XmlException`
        `IOException`

    - #### parse

          public static XmlBase64Binary parse​(URL u,
                                              XmlOptions options)
                                       throws XmlException,
                                              IOException

      Parses a `XmlBase64Binary` fragment from a URL.
      Throws:
        `XmlException`
        `IOException`

    - #### parse

          public static XmlBase64Binary parse​(InputStream is)
                                       throws XmlException,
                                              IOException

      Parses a `XmlBase64Binary` fragment from an InputStream.
      Throws:
        `XmlException`
        `IOException`

    - #### parse

          public static XmlBase64Binary parse​(InputStream is,
                                              XmlOptions options)
                                       throws XmlException,
                                              IOException

      Parses a `XmlBase64Binary` fragment from an InputStream.
      Throws:
        `XmlException`
        `IOException`

    - #### parse

          public static XmlBase64Binary parse​(Reader r)
                                       throws XmlException,
                                              IOException

      Parses a `XmlBase64Binary` fragment from a Reader.
      Throws:
        `XmlException`
        `IOException`

    - #### parse

          public static XmlBase64Binary parse​(Reader r,
                                              XmlOptions options)
                                       throws XmlException,
                                              IOException

      Parses a `XmlBase64Binary` fragment from a Reader.
      Throws:
        `XmlException`
        `IOException`

    - #### parse

          public static XmlBase64Binary parse​(Node node)
                                       throws XmlException

      Parses a `XmlBase64Binary` fragment from a DOM Node.
      Throws:
        `XmlException`

    - #### parse

          public static XmlBase64Binary parse​(Node node,
                                              XmlOptions options)
                                       throws XmlException

      Parses a `XmlBase64Binary` fragment from a DOM Node.
      Throws:
        `XmlException`

    - #### parse

          public static XmlBase64Binary parse​(XMLStreamReader xsr)
                                       throws XmlException

      Parses a `XmlBase64Binary` fragment from an XMLStreamReader.
      Throws:
        `XmlException`

    - #### parse

          public static XmlBase64Binary parse​(XMLStreamReader xsr,
                                              XmlOptions options)
                                       throws XmlException

      Parses a `XmlBase64Binary` fragment from an XMLStreamReader.
      Throws:
        `XmlException`